Update Environment Group
put
/rpa/v1/environmentGroups/{identifier}
Updates the Environment Group identified by the id.
Request
Path Parameters
-
identifier(required): string
Unique Environment Group Identifier
Query Parameters
-
projectId(required): string
Project identifier
Header Parameters
-
if-match: string
For optimistic concurrency control. In the PUT or DELETE call for a resource, set the `if-match` parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource's current etag value.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThe information to be updated.
Show Source
-
autonomousConfig: object
AutonomousEnvironmentPoolConfig
Holds Autonomous Environment Pool Specification
-
description: string
Minimum Length:
0Maximum Length:1024Description of the Env. Group. -
displayName: string
Minimum Length:
1Maximum Length:50User friendly display name for the environment group - isSharedEnvironmentGroup: boolean
-
keywords: string
Minimum Length:
0Maximum Length:1024Keywords. -
subType: string
Ownership model.
-
type: string
Pool management mode.
Nested Schema : AutonomousEnvironmentPoolConfig
Type:
objectHolds Autonomous Environment Pool Specification
Show Source
-
availabilityDomain: string
Availability Domain ID.
-
category: string
Allowed Values:
[ "REMOTE_INSTANCE_POOL" ]Type of backend for the environment specification -
instancePoolId(required): string
OCID of the instance pool associated with this environment
-
lifecycleConfig: object
EnvironmentLifecycleConfig
Agent Lifecycle Management
-
region: string
Region identifier where the instance pool is deployed
-
scalingConfig(required): object
EnvironmentScalingConfig
Holds ScalingConfig
Nested Schema : EnvironmentLifecycleConfig
Type:
objectAgent Lifecycle Management
Show Source
-
isAutoUpgrade(required): boolean
Auto upgrade agents?
-
retirementPolicy: string
Agent retirement policy.
Nested Schema : EnvironmentScalingConfig
Type:
objectHolds ScalingConfig
Show Source
-
evaluationMode: string
Allowed Values:
[ "AVERAGE", "MAX", "MEDIAN", "WEIGHTED_AVG", "P95", "P99" ]probing duration in sec. -
maxAgentVm(required): integer
Maximum agent VM count.
-
maxVmProvisionedAtOnce: integer
maximum number of VM can be provisioned at a time.
-
metricIntervalSec: integer
how often metrics are collected.
-
minAgentVm(required): integer
Minimum agent VM count.
-
noOfAgentPerVm: integer
Number of agent per VM
-
probingDurationSec: integer
probing duration in sec.
-
scaleInRule(required): object
EnvironmentScaleRule
Holds ScaleRule
-
scaleOutRule(required): object
EnvironmentScaleRule
Holds ScaleRule
Nested Schema : EnvironmentScaleRule
Type:
objectHolds ScaleRule
Show Source
-
cooldownPeriodSec: integer
Cooldown period (sec).
-
utilizationThreshold(required): integer
Utilization threshold (%).
Response
202 Response
Accepted the request. The Environment Group will be updated.
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
-
opc-work-request-id:
Unique Oracle-assigned identifier for the asynchronous work. You can use this to query its status.
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
412 Response
Precondition failed
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.